//	program ofsrec (series reconstruction)
//	usage 'ofsrec from axis1 to axis2 (delta)> output_file'

/*----------------------------------------------------------------------*/
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <string.h>
#include <time.h>
#include <malloc.h>

#define INTEL

long	i, j, n;
long	l_from, l_to;
float	f_axis1, f_axis2, delta;
float	tilt, offset, theta0;
char	line[50];


/*----------------------------------------------------------------------*/

int main(argc,argv)
int		argc;
char	**argv;
{
	delta = (float)1.0;
	if (argc<5){
		fprintf(stderr,"usage : %s from axis1 to axis2 (delta) (theta0)> output_file\n", argv[0]);
		exit(-1);
	}
	theta0=0.0;
	l_from =atoi(argv[1]);
	f_axis1=atof(argv[2]);
	l_to   =atoi(argv[3]);
	f_axis2=atof(argv[4]);
	if (argc==6){
		delta=(float)atof(argv[5]);
	}
	if (argc==7){
		delta=(float)atof(argv[5]);
		theta0=(float)atof(argv[6]);
	}
	tilt = (f_axis1-f_axis2)/(l_from-l_to);
	offset=f_axis1-tilt*(float)l_from;

	if(l_from>l_to){
		printf("parameter is wrong. from %d to %d", l_from, l_to);
		return(1);
	}

//	printf("%d\t%d\t%d\t%f\t%d\n", l_layer, l_from, l_to, f_step, n);

	for (j=l_from; j<l_to+1; j++){
		sprintf(line, "ofct_sino %d %f\n",j,(int)(tilt*(float)j+offset));
		printf("%s", line);
		sprintf(line, "sino_conv %f\n",tilt*(float)j+offset);
		printf("%s", line);
		sprintf(line, "ct_cbp %f\n", theta0);
		printf("%s", line);
		sprintf(line, "rec2tif 16 %f\n", delta);
		printf("%s", line);
	}

	exit(0);
}
